Skip to main content
PUT
/
organizations
/
{organization_id}
/
employees
/
{employee_id}
/
insurance-details
Update Employee Insurance Details
curl --request PUT \
  --url https://dev.intermezzo.ai/organizations/{organization_id}/employees/{employee_id}/insurance-details \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "employeeId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "employmentCountry": "DE",
  "insuranceNumber": "<string>",
  "contributionGroup": "<string>",
  "personGroup": 101,
  "insuranceProvider": "<string>",
  "alternateCollectionAgency": "<string>",
  "privateInsuranceHealthMonthly": "0",
  "privateInsuranceCareMonthly": "0",
  "careInsuranceChildren": 0,
  "u1Exempt": false,
  "u2Exempt": false,
  "uvRiskTariff": [
    {
      "tariffCode": "<string>",
      "tariffDescription": "<string>",
      "tariffPercentage": "0"
    }
  ],
  "pensionDetails": {
    "employmentCountry": "DE",
    "receivedMiningAdjustmentPayments": false,
    "pensionType": "full_old_age_pension_eu_eea_sva",
    "pensionStartDate": "2023-12-25",
    "waiverDeclarationStatus": "default",
    "waiverReceiptDate": "2023-12-25",
    "waiverValidityDate": "2023-12-25"
  },
  "validFrom": "2023-12-25",
  "validTo": "2023-12-25"
}

Authorizations

Authorization
string
header
required

Get token from Auth0 and paste it here

Path Parameters

organization_id
required
employee_id
required

Body

application/json
employmentCountry
string
default:DE
Allowed value: "DE"
insuranceNumber
string | null

German Versicherungsnummer (12 chars: region-birthdate-name-serial-check). Validates according to VKVV § 2. See: https://www.gesetze-im-internet.de/vkvv/__2.html

Example:

"12345678A123"

contributionGroup
string | null

EN: Contribution group | DE: Beitragsgruppe

Required string length: 4
personGroup
enum<integer> | null

EN: Person group | DE: Personengruppe

Available options:
101,
102,
103,
104,
105,
106,
107,
108,
109,
110,
111,
112,
113,
114,
116,
117,
118,
119,
120,
121,
122,
123,
124,
127,
190,
140,
141,
142,
143,
144,
149,
150,
203,
204,
207,
208,
209,
210,
301,
302,
303,
304,
305,
306,
307
insuranceProvider
string | null

EN: Health insurance provider | DE: Krankenkasse

alternateCollectionAgency
string | null

EN: Alternate collection agency | DE: Einzugsstelle

privateInsuranceHealthMonthly
default:0

EN:Private health insurance monthly|DE:Private Krankenversicherung monatlich

Required range: x >= 0
privateInsuranceCareMonthly
default:0

EN: Private care insurance monthly | DE: Private Pflegeversicherung monatlich

Required range: x >= 0
careInsuranceChildren
integer | null
default:0

EN: Children for care insurance | DE: Kinder für Pflegeversicherung

Required range: 0 <= x <= 5
u1Exempt
boolean | null

EN: U1 exemption | DE: U1 Befreiung

u2Exempt
boolean | null

EN: U2 exemption | DE: U2 Befreiung

uvRiskTariff
RiskTariff · object[] | null

EN: UV risk tariff details | DE: UV-Risikotarifdetails

pensionDetails
PensionDetails · object

EN: Pension details for Annex 04a validation | DE: Rentendetails für Anlage 04a-Prüfung

validFrom
string<date> | null

EN: Valid from date | DE: Gültig ab Datum

validTo
string<date> | null

EN: Valid to date | DE: Gültig bis Datum

birthDateContext
string<date> | null

Response

Successful Response

Response model for insurance details with metadata fields.

employeeId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
id
required
employmentCountry
string
default:DE
Allowed value: "DE"
insuranceNumber
string | null
contributionGroup
string | null
personGroup
enum<integer> | null

An IntEnum representing the key numbers ('Schlüsselzahlen') for person groups in German social insurance notifications (DEÜV).

Available options:
101,
102,
103,
104,
105,
106,
107,
108,
109,
110,
111,
112,
113,
114,
116,
117,
118,
119,
120,
121,
122,
123,
124,
127,
190,
140,
141,
142,
143,
144,
149,
150,
203,
204,
207,
208,
209,
210,
301,
302,
303,
304,
305,
306,
307
insuranceProvider
string | null
alternateCollectionAgency
string | null
privateInsuranceHealthMonthly
string | null
default:0

EN:Private health insurance monthly|DE:Private Krankenversicherung monatlich

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
privateInsuranceCareMonthly
string | null
default:0

EN: Private care insurance monthly | DE: Private Pflegeversicherung monatlich

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
careInsuranceChildren
integer | null
default:0
u1Exempt
boolean | null
default:false
u2Exempt
boolean | null
default:false
uvRiskTariff
RiskTariff · object[] | null
pensionDetails
PensionDetails · object

Pension details for German employees according to Annex 04a specification. Required for extended plausibility checks of employed pensioners.

validFrom
string<date> | null

EN: Valid from date | DE: Gültig ab Datum

validTo
string<date> | null

EN: Valid to date | DE: Gültig bis Datum